### Method

# SpiceClientGLib InputsChannel position

since: 0.35

#### Declaration [src]

    void
    spice_inputs_channel_position (
      SpiceInputsChannel* channel,
      gint x,
      gint y,
      gint display,
      gint button_state
    )

#### Description [src]

Change mouse position (used in SPICE_MOUSE_MODE_CLIENT).

Available since: 0.35

#### Parameters

`x`

  Type: `gint`

  X mouse coordinates.

`y`

  Type: `gint`

  Y mouse coordinates.

`display`

  Type: `gint`

  Display channel id.

`button_state`

  Type: `gint`

  SPICE_MOUSE_BUTTON_MASK flags.